中国Linux公社论坛's Archiver

三翻领 发表于 2006-8-18 18:08

谁帮忙做个eva-2006-08-15的ebuild啊

一直用eva-0.4.0.ebuild来改名安装eva-0.4.1,这次的新版本却不行了,谁帮忙做个ebuild啊,谢谢。

yunfan 发表于 2006-8-19 16:33

:mrgreen:  :mrgreen:  :mrgreen:

种草得草 发表于 2006-8-19 19:07

Re: 谁帮忙做个eva-2006-08-15的ebuild

[quote:8736650d3f="三翻领"]一直用eva-0.4.0.ebuild来改名安装eva-0.4.1,这次的新版本却不行了,谁帮忙做个ebuild啊,谢谢。[/quote]

在我这里没有问题的。

1 在/etc/make.conf里面添加
PORTDIR_OVERLAY="/usr/local/portage"

2 # mkdir -p /usr/local/portage/net-im/eva
3 # cp eva-0.4.1.ebuild /usr/local/portage/net-im/eva/
4 # cp eva-0.4.1.tar.bz2 /usr/portage/distfiles/
5 # cd /usr/local/portage/net-im/eva/
# ebuild eva-0.4.1.ebuild digest
6 # emerge -av eva

在"~amd64"上测试通过。


http://www.magiclinux.org/people/bamfox/Eva/magicrpm/eva-0.4.1-3mgc.src.rpm

eva-0.4.1.tar.bz2从上面的连接中下载解压(俺没有别的途径得到)

三翻领 发表于 2006-8-19 20:24

小草啊,你没有看清啊。我的0.4.1是正常安装的,ebuild就是从0.4.0的改名字改过来的。但是装eva-2006-08-15用改名字这个办法不行了 :neutral:

mandrakechina 发表于 2006-8-19 21:29

谁让你抛弃SUSE的,这就是后果  :mrgreen:  :mrgreen:

不然直接用Mandriva的SRPM rebuild一下就行。

yunfan 发表于 2006-8-19 21:48

继续更新吧。。。又修正了群相关的几个bug, 大家帮忙测测, 多谢  :mrgreen:

三翻领 发表于 2006-8-19 22:26

[quote:8385c7aed2="mandrakechina"]谁让你抛弃SUSE的,这就是后果  :mrgreen:  :mrgreen:

不然直接用Mandriva的SRPM rebuild一下就行。[/quote]
用过gentoo才知道基于rpm的yum和yast是多么的糟糕。换发行版是我linux生涯所做的最正确的决定。
对了madrike正想问你啊。给amarok做脚本,有什么资料吗?最近在学python,朋友说就可以给amarok作脚本了。虽说水平还很差,但是从amarok里面能够用自己的脚本显示1+1=2也是很自豪的事情啊 :D  :D
现在奇怪的很,yahoo的歌词脚本现在都搜索不到歌词了,以前可以;baidu的可有更新?
[quote:8385c7aed2="yunfan"]继续更新吧。。。又修正了群相关的几个bug, 大家帮忙测测, 多谢 [/quote]
对策都还没有,形式就发生变化了,作孽啊作孽............


更正:可能是换了locale的问题,yahoo和baidu都不行的

种草得草 发表于 2006-8-19 22:39

[quote:6769007b0a="三翻领"]小草啊,你没有看清啊。我的0.4.1是正常安装的,ebuild就是从0.4.0的改名字改过来的。但是装eva-2006-08-15用改名字这个办法不行了 :neutral:[/quote]

哈哈,又不是官方源。不必要那么严格。我给你的那个连接就是你要的20060815。
你把源代码改名了。自己再digest,多简单。


我还不明白你说的改名不行了。
SRC是${P}.tar.bz2

yunfan 发表于 2006-8-19 23:04

别 20060815了, 有几个群问题, 会导致eva崩溃的, 我又修正了一下。
更新吧。。。

三翻领 发表于 2006-8-19 23:31

[quote:8964a3cb30="种草得草"][quote:8964a3cb30="三翻领"]小草啊,你没有看清啊。我的0.4.1是正常安装的,ebuild就是从0.4.0的改名字改过来的。但是装eva-2006-08-15用改名字这个办法不行了 :neutral:[/quote]

哈哈,又不是官方源。不必要那么严格。我给你的那个连接就是你要的20060815。
你把源代码改名了。自己再digest,多简单。


我还不明白你说的改名不行了。
SRC是${P}.tar.bz2[/quote]
我明白你的意思了,有数有数

[quote:8964a3cb30="yunfan"]别 20060815了, 有几个群问题, 会导致eva崩溃的, 我又修正了一下。
更新吧。。。
[/quote]
地址呢?我没有cvs啊

yunfan 发表于 2006-8-19 23:33

[quote:7882749311="三翻领"]
地址呢?我没有cvs啊[/quote]

。。。。问我要吧。

种草得草 发表于 2006-8-20 00:11

我教育网。
貌似cvs开http代理也是不行的。
别的代理我找不到。

mandrakechina 发表于 2006-8-20 09:48

amaroK的脚本貌似必须是Ruby的  :oops:

三翻领 发表于 2006-8-20 12:27

搞定了,用的是eva-20060820的包
这次是先解压,然后用KDE的脚本修正时间戳,然后在压成eva-0.4.1.tar.bz2,digest后居然可以了,郁闷了几天的问题,居然就这么搞定了。

[quote:7d8a6a156c="mandrakechina"]amaroK的脚本貌似必须是Ruby的[/quote]
哦,原来是这样。现在比较郁闷的是,没有一个可以找中文歌词的脚本了。看来当初转utf8的locale是我linux生涯做的一个比较大的错误决定 :neutral:  :neutral:

mandrakechina 发表于 2006-8-20 12:52

你把那个百度的脚本稍微改一下应该就行了。

mandrakechina 发表于 2006-8-20 12:56

[quote:2440439230="yunfan"]别 20060815了, 有几个群问题, 会导致eva崩溃的, 我又修正了一下。
更新吧。。。[/quote]
也许该出0.4.2了。

yunfan 发表于 2006-8-20 15:11

[quote:722ac17d2a="mandrakechina"]
也许该出0.4.2了。[/quote]

等加好友完工了,就放 0.4.2

三翻领 发表于 2006-8-20 20:11

[quote:b297fccc24="mandrakechina"]你把那个百度的脚本稍微改一下应该就行了。[/quote]
请教啊.........

夕角 发表于 2006-8-21 15:09

我写了个cvs的ebuild,帮忙测试一下

http://www.linuxsir.org/bbs/showthread.php?t=268807

vliqi 发表于 2006-9-13 08:54

我看有必要做一个eva的cvs的ebuild,研究研究。

lof 发表于 2006-9-13 13:35

已经做了:

做了个overlay,把以前有人发上来的eva-0.4.0和0.4.1都放进去了
cvs版本换成了eva-999
overlay中加入http://dailytools.googlecode.com/svn...lee-gentoo.xml
然后layman -a dailytools-lee-gentoo
然后ACCEPT_KEYWORDS="~x86" emerge eva 就好了
如果想装0.4.1就直接emerge eva
想装0.4.0。。。还是算了别装这个了

页: [1]

Powered by Discuz! Archiver 6.1.0F  © 2001-2007 Comsenz Inc.